=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2006-11-21 14:54:29 +0000
+++ annotate/gannotate.py	2006-11-21 15:30:44 +0000
@@ -137,7 +137,6 @@
         return dotted
 
     def _annotate(self, branch, file_id, revision_id):
-        rev_hist = branch.revision_history()
         repository = branch.repository
         if revision_id is None:
             revision_id = branch.last_revision()
@@ -152,10 +151,9 @@
             rev_id = origin
             try:
                 revision = revision_cache.get_revision(rev_id)
-                if rev_id in rev_hist:
-                    revno = branch.revision_id_to_revno(rev_id)
-                else:
-                    revno = dotted.get(rev_id, "merge")
+                revno = dotted.get(rev_id, 'merge')
+                if len(revno) > 15:
+                    revno = 'merge'
             except NoSuchRevision:
                 revision = NoneRevision(rev_id)
                 revno = "?"

